
# formerly: mytest2
pcme.test1 <- function(r,...){
  maxlag <- ncol(r)-1
  period <- nrow(r)

  ent <- matrix(NA,nrow=nrow(r),ncol=ncol(r))
  for( lag in 1:maxlag){
    for(s in 1:period){
      # ent[s,lag+1] <- pc.mefull(r,tau=list(c(s,lag)),...)$entropy
      # ent[s,lag+1] <- pc.meNewton(r,tau=list(c(s,lag)),...)$entropy
      ent[s,lag+1] <- pcme(r,tau=list(c(s,lag)),...)$entropy
    }
  }

  ent
}

# formerly: mytest3
pcme.testcombn <- function(r,w=1,...){
  maxlag <- ncol(r)-1
  period <- nrow(r)

  slpairs <- cbind( rep(1:period,each=maxlag), rep(1:maxlag,period) )         # print(slpairs)

  allindx <- mapply(c,slpairs[,1],slpairs[,2],SIMPLIFY=FALSE)                 # print(allindx)

  if(is.character(w) && w=="all")
    w <- 1:length(allindx)

  # res <- vector("list",length(w))
  res <- list()
  for( i in 1:length(w)){
    cat("processing i = ", i, ", w[i]=", "\n")
    print(i)
    cat("\n")

    m <- w[i]
    iindx<- combn(allindx,m,simplify=FALSE)
    res0 <- list()
    for( s in iindx){
      # wrk <- pc.meNewton(r,tau=s,...)
      wrk <- pcme(r,tau=s,...)
      smat <- matrix(unlist(s),nrow=length(s),byrow=TRUE)
      val <- wrk$entropy
      attr(val,"gaps") <- smat
      attr(val,"gapslist") <- s
      attr(val,"p") <- wrk$p
      # res <- c(res, list(list(gaps=smat,entropy=wrk$entropy)) )
      res <- c(res, list(val) )
    }
  }
  res
}

